Overblog
Editer l'article Suivre ce blog Administration + Créer mon blog
11 juillet 2012 3 11 /07 /juillet /2012 16:02

Hi !

 

I'm working a bit on qastrocam-g2. A new beta is available. The qwtplot3d library isn't needed anymore. It compils on

ubuntu 12.04 LTS (V4L1 access removed). I'm still working on the Philips cameras support over V4L2.

 

The 4.9 release won't add any new features. I just want the actual features to work on fresh kernels. QT4 migration is planned for the 5.0 release.

 

Best regards !

Partager cet article
Repost0

commentaires

O
Je n'ai jamais fait de RPM mais le challenge est intéressant :-) Je vais regarder comment cela fonctionne.
Répondre
T


Merci, c'est gentil de te pencher sur le problème. Comme je n'ai pas le temps de rafraichir


totalement le soft, je pense à terme intégrer les sources de libavifile dans les sources de qastrocam-g2.


Cela devait simplifier un peu les choses. Pff, j'ai jamais assez de temps :-(...



O
Bonjour,
J'ai téléchargé le code source de la béta 4.9beta20120812 et je l'ai compilé sur Fedora 17 x86_64. C'est pour cela que je mets un commentaire sur le blog à cet article.

J'ai dû faire quelques modifications pour finaliser la compilati:
- Makefile.arch: ajout d'une architecture
#fedora 64 bits
configure-fedora64: configure
QT_BASE=/usr/lib64/qt-3.3 CFITSIO_BASE=/usr
MOC=/usr/lib64/qt-3.3/bin/moc QT_INC_DIR=/usr/lib64/qt-3.3/include QT_LIB_DIR=/usr/lib64/qt-3.3/lib QT_LIBS=-lqt-mt CFITSIO_INC="-I /usr/include/cfitsio" CFITSIO_LINK="-lcfitsio" ./configure

- SCmodParPortPPdev.cpp: J'avais une erreur sur l'utilisation de usleep ligne 81. J'ai ajouté #include pour que cela passe.

- aviplay: Pas facile à trouver pour Fedora 17. Il se trouve dans les dépots Planet CCRMA. l'installation du dépot est expliquée là
http://ccrma.stanford.edu/planetccrma/software/installplanetsixteen.html

- A l'édition de lien, j'ai un problème sur libjpeg. J'ai modifié Maekfile.vars pour ajouter -ljpeg à LDFLAGS

- Enfin, au lancement j'ai eu un problème sur la génération du basePath dans QCamUtilities. L'installation se faisait dans /usr/local/share/qastrocam-g2/ alors que basePath était initialisé en
/usr/share/qastrocam-g2/. Une modification de QcamUtilities.cpp à résolu l'affaire.

J'espère que ces quelques remarques t'aideront. Bravo pour le travail que tu fais !
Répondre
T


Merci beaucoup pour ces infos. Je mettrai à jour qastrocam-g2 dès que j'aurai un peu de temps. Je n'ai pas de fedora installée. Crois-tu que tu pourrai générer un rpm ? Si oui, je le mettrai en
téléchargement sur source-forge.


Encore merci !



T
Merci pour la réponse. En effet ma cam est modifiée pour la longue pose. Et comme je l'utilise avec un portable avec webcam intégrée, elle est sur /dev/video1. J'ai essyé de configurer dans le
logiciel ou en ligne de commande, mais les deux ne fonctionnent pas. Je peux poster la sortie dans le terminal mais je pense que tu sais déjà ce que ça donne.
Et pour compliquer les choses j'ai bien la 12.4 LTS, je viens de mettre une ubuntu toute neuve.
Répondre
T


Voila, la nouvelle beta est dispo. La camera n'est toujours pas exploitable, mais certains contrôles fonctionnent, et le programme ne plante plus.



T
Beau boulot. C'est dommage j'avais espéré faire marcher ma Toucam, mais ça plante. J'espère que ça fonctionnera bientot. Si je peux aider, n'hésite pas à me faire signe.
Répondre
T


Bonjour,


Merci pour votre commentaire et votre proposition. Cela avance doucement. Je vais bientôt fournir une nouvelle beta. L'utilisation de la Toucam ne fait plus planter qastrocam, mais certaines
fonctionnalités ne sont toujours pas disponibles (le règlage de la compression et le contrôle de la led ne sont plus présents dans le driver, et j'ai des soucis pour le contrôle du nombre
d'images pas secondes). Mon principal problème est que le driver n'est pas encore tout à fait au point (la restauration des règlages utilisateur et usine ne marchent qu'avec la dernière version
des sources du driver, pas avec le driver fourni avec la 12.04 LTS). Je vais être obligé de fournir ma propre version patchée du driver.


Je vous tiens au courant ;-)


Bonne journée !



C
Hi,
I use gentoo, so all i really need is source code to compile :-) If youd like me to test, ill be happy to help.
Répondre
T


Hi !


 


Which gentoo ? x86 or amd64 ?


 


Best regards